about summary refs log tree commit diff
path: root/third_party/nix/tests/plugins.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/nix/tests/plugins.sh')
-rw-r--r--third_party/nix/tests/plugins.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/third_party/nix/tests/plugins.sh b/third_party/nix/tests/plugins.sh
new file mode 100644
index 0000000000..4b1baeddce
--- /dev/null
+++ b/third_party/nix/tests/plugins.sh
@@ -0,0 +1,7 @@
+source common.sh
+
+set -o pipefail
+
+res=$(nix eval '(builtins.anotherNull)' --option setting-set true --option plugin-files $PWD/plugins/libplugintest*)
+
+[ "$res"x = "nullx" ]